#!/etc/opt/openit/perl -w
#
# $Id: psm.dm,v 1.17 2001/11/01 15:49:53 borgar Exp $
#
# (C) Copyright 2007 by Open iT Norge AS, All rights reserved.
#
# This software may be used or copied only with the written permission of
# Open iT Norge AS or in accordance with the terms and conditions
# stipulated in the agreement under which this software has been supplied.
#
# This file is part of Open iT Resources.
#
#HEAD##########################################################################
#
# @NAME:
#   lib_needed
# @AUTHOR:
#   Bernard Don Queano
# @CREATED:
#   Tue Apr  17 15:44:47 MET 2012
# @DESCRIPTION:
#   Check if libraries are needed on a specific platform.
#/HEAD#########################################################################

#MAIN##########################################################################
#
# @HEADING Main Description goes here
#
# Remeber to document program. You can use @LINK="to other doc" and
# include images @IMG="my.image" in the document.
#
#/MAIN#########################################################################

use strict;

my $uname = `uname`;
chomp $uname;

if( $uname !~ m/^SunOS$/ ) {
    print STDERR "Library not needed on this platform.\n";
    exit( 0 );
}

exit( 1 );
